class RemoveMissingModsSettings extends XComGameState_BaseObject config(RemoveMissingMods);

var config String ScreenToUse;
var config bool bShowInTactical;
var config bool bUseBackupSpawningMethod;

static function String GetScreenToUse()
{
	local XComGameStateHistory History;	
	local XComGameState_CampaignSettings CampaignSettingsStateObject;

	History = `XCOMHISTORY;	

	CampaignSettingsStateObject = XComGameState_CampaignSettings(History.GetSingleGameStateObjectForClass(class'XComGameState_CampaignSettings'));
	
	if(CampaignSettingsStateObject.bIronmanEnabled)
	{
		`log("Ironman Enabled: Defaulting to AvengerHUD Button Spawn");
		return "AvengerHUD";
	}
	else
		return default.ScreenToUse;
}

static function bool GetShowInTactical()
{
	return default.bShowInTactical;
}

static function bool GetUseBackupSpawningMethod()
{
	return default.bUseBackupSpawningMethod;
}

DefaultProperties
{
	bReadOnly=True
	bSingletonStateType=True
}