class UIScreenListener_UnbindMods_UIAvengerHUD extends UIScreenListener;

var UIMovie Movie;
var UISaveGame ParentScreen;
var String ScreenToUse;
var bool bUseBackupSpawningMethod;

event OnInit(UIScreen Screen)
{
	local UIButton UMMButton;

	ScreenToUse=class'RemoveMissingModsSettings'.static.GetScreenToUse();
	bUseBackupSpawningMethod=class'RemoveMissingModsSettings'.static.GetUseBackupSpawningMethod();

	if(bUseBackupSpawningMethod)
	{
		if(ScreenToUse=="AvengerHUD")
		{
			`log("Spawning Button on"@ScreenToUse@"Using Backup Method");

			Movie = Screen.Movie;

			UMMButton = Screen.Spawn(class 'UIButton', Screen);

			UMMButton.InitButton(, "Unbind Missing Mods", OnUnbind);
			UMMButton.SetPosition(200, 10);
		}
	}
}

public function OnUnbind(UIButton UMMButton)
{
	local TDialogueBoxData DialogData;

	DialogData.eType       =  eDialog_Warning;
	DialogData.strTitle    = "Remove bindings for missing Mods?";
	DialogData.strText     = "This will remove any mod not currently loaded from the list of required mods, including itself.";
	DialogData.strAccept   = "Accept"; 
	DialogData.strCancel   = "Cancel"; 
	DialogData.fnCallback  =  UnbindMissingMods;

	Movie.Pres.UIRaiseDialog(DialogData);
}

function UnbindMissingMods(name eAction)
{
	local XComGameState NewGameState;
	local XComGameStateHistory History;
	local XComGameState_CampaignSettings CampaignSettingsStateObject;
	local int i;
	local name DLCName, RemoveMissingMods;

	Movie.Pres.PlayUISound(eSUISound_MenuSelect);

	History = `XCOMHISTORY;
	RemoveMissingMods=name("WOTC_RemoveMissingMods");
	
	if (eAction == 'eUIAction_Accept')
	{
		NewGameState = class'XComGameStateContext_ChangeContainer'.static.CreateChangeState("Removing Missing Mods");

		CampaignSettingsStateObject = XComGameState_CampaignSettings(History.GetSingleGameStateObjectForClass(class'XComGameState_CampaignSettings', true));
		CampaignSettingsStateObject = XComGameState_CampaignSettings(NewGameState.ModifyStateObject(class'XComGameState_CampaignSettings', CampaignSettingsStateObject.ObjectID));
		
		CampaignSettingsStateObject.RemoveAllRequiredDLC();
		
		for(i = 0; i < `ONLINEEVENTMGR.GetNumDLC(); ++i)
		{
			DLCName = `ONLINEEVENTMGR.GetDLCNames(i);
			if(CampaignSettingsStateObject.RequiredDLC.Find(DLCName) == -1 && DLCName!=RemoveMissingMods)
			{
				CampaignSettingsStateObject.AddRequiredDLC(DLCName);
			}
		}
		`GAMERULES.SubmitGameState(NewGameState);
	}
}

defaultproperties
{
	ScreenClass = class'UIAvengerHUD';
}