// This is an Unreal Script

class UIAvengerHUD_Listener extends UIScreenListener;

var UIMovie Movie;

event OnInit(UIScreen Screen)
{
	local UIButton ummButton;

		Movie = Screen.Movie;

	ummButton = Screen.Spawn(class 'UIButton', Screen);

	ummButton.InitButton(, "Unbind Missing Mods", OnUnbind);
	ummButton.SetPosition(200, 10);
	
}

public function OnUnbind(UIButton ummButton)
{
	local TDialogueBoxData DialogData;

	DialogData.eType       =  eDialog_Warning;
	DialogData.strTitle    = "Remove bindings for missing DLC/Mods?";
	DialogData.strText     = "This will remove any mod not currently loaded from the list of required mods/DLC for this save, including itself. No need to leave this mod on, just use it and turn it off."; 
	DialogData.strAccept   = "Accept"; 
	DialogData.strCancel   = "Cancel"; 
	DialogData.fnCallback  =  UnbindMissingMods;

	Movie.Pres.UIRaiseDialog(DialogData);
}

function UnbindMissingMods(EUIAction eAction)
{
	local XComGameState_CampaignSettings Settings;
	local int i;
	local name DLCName, LoadAnyway;
	
	if (eAction == eUIAction_Accept)
	{
		LoadAnyway=name("RemoveMissingMods");
		Settings = XComGameState_CampaignSettings(`XCOMHISTORY.GetSingleGameStateObjectForClass(class'XComGameState_CampaignSettings', true));
		Settings.RemoveAllRequiredDLC();
		for(i = 0; i < `ONLINEEVENTMGR.GetNumDLC(); ++i)
		{
			DLCName = `ONLINEEVENTMGR.GetDLCNames(i);
			if(Settings.RequiredDLC.Find(DLCName) == -1 && DLCName!=LoadAnyway)
			{
				Settings.AddRequiredDLC(DLCName);
			}
		}
	}
}

defaultproperties
{
	ScreenClass = class'UIAvengerHUD';
}